import {Perso} from './data.service'
// pour la démo : items.service et persos.service utilisent fetch alors que towns.service utilise axios.  Les 2 fonctionnent
import {getRequest} from "@/services/fetch.service";

async function getAllCharacsFromAPI() {
  return getRequest('/persos/get', 'GETALLPERSOS')
}


async function getAllCharacs() {
  // result est ce qui est renoyvé par getallCharacs()
  let result = {error: 0, status: 200, data: null}
  // response est ce qui est renvoyé par axiosAgent
  let response = await getAllCharacsFromAPI()
  // test si la requête a réussi et si oui, conversion du format des données.
  // NB : pour la liste des villes, il ne devrait jamais y avoir d'erreur. Au pire,
  // on obtient un tableau vide.

  if (response.error === 0) {
    // les données de la réponse sont un tableau contenant les personnage
    let persos = []
    response.data.forEach(c => persos.push(Perso.fromAPI(c)))
    result.data = persos
  }
  else {
    result = response
  }
  return result
}

export {
  getAllCharacs
}