import {Ville} from './data.service'

// pour la démo : items.service et persos.service utilisent fetch alors que towns.service utilise axios.  Les 2 fonctionnent
import {getRequest} from "@/services/axios.service";

async function getAllTownsFromAPI() {
  return getRequest('/towns/get', 'GETALLTOWNS')
}

async function getAllTowns() {
  // result est ce qui est renoyvé par getAllTowns()
  let result = {error: 0, status: 200, data: null}
  // response est ce qui est renvoyé par axiosAgent
  let response = await getAllTownsFromAPI()
  // test si la requête a réussi et si oui, conversion du format des données.
  // NB : pour la liste des villes, il ne devrait jamais y avoir d'erreur. Au pire,
  // on obtient un tableau vide.
  if (response.error === 0) {
    // les données de la réponse sont un tableau contenant les villes
    let villes = []
    response.data.forEach(t => villes.push(Ville.fromAPI(t)))
    result.data = villes
  }
  else {
    result = response
  }
  return result
}

export {
  getAllTowns
}